package com.ruoyi.mall.mapper;

import java.util.List;
import com.ruoyi.mall.domain.MallMemberBanner;

/**
 * 用户轮播图Mapper接口
 * 
 * @author ruoyi
 * @date 2024-11-15
 */
public interface MallMemberBannerMapper 
{
    /**
     * 查询用户轮播图
     * 
     * @param id 用户轮播图主键
     * @return 用户轮播图
     */
    public MallMemberBanner selectMallMemberBannerById(Long id);

    /**
     * 查询用户轮播图列表
     * 
     * @param mallMemberBanner 用户轮播图
     * @return 用户轮播图集合
     */
    public List<MallMemberBanner> selectMallMemberBannerList(MallMemberBanner mallMemberBanner);

    /**
     * 新增用户轮播图
     * 
     * @param mallMemberBanner 用户轮播图
     * @return 结果
     */
    public int insertMallMemberBanner(MallMemberBanner mallMemberBanner);

    /**
     * 修改用户轮播图
     * 
     * @param mallMemberBanner 用户轮播图
     * @return 结果
     */
    public int updateMallMemberBanner(MallMemberBanner mallMemberBanner);

    /**
     * 删除用户轮播图
     * 
     * @param id 用户轮播图主键
     * @return 结果
     */
    public int deleteMallMemberBannerById(Long id);

    /**
     * 批量删除用户轮播图
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteMallMemberBannerByIds(Long[] ids);
}
